Subject: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Sat, 17 Sep 2022 08:35:28 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

> I have noticed that if I cannot even set above settings without
> running Tramp at least once as tramp-remote-path is not there until it
> gets loaded. After tramp-cleanup-all-connections it started working,
> provided I do load-library tramp first.
>
> Without loading Tramp first I was getting that error missing ls
> command.

That's why the Tramp manual recommends to use `customize-set-variable'.

> Thank you. I guess it is solved. I will observe it for errors.

Thanks for confirmation. And please report a new bug in case of,
otherwise we will be confused. Goold ole rule: "One problem, one report".

Best regards, Michael.